Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.codegen.idoc
Class ControlRecord4X

    java.lang.Object
      IDocOtdRoot
          com.stc.sapale.codegen.idoc.ControlRecord4X

public class ControlRecord4X
extends IDocOtdRoot

Control Record Object - represents a SAP Control Record version 46A

See Also:
  Serialized Form

Method Summary
`java.lang.String[]` | `check()` Validates the contents of the data tree
`java.lang.String` | `getARCKEY()` Return a java.lang.String representation of the SAP type ARCKEY - Key for external message archive.
`java.lang.String` | `getCIMTYP()` Return a java.lang.String representation of the SAP type CIMTYP - Extension (defined by customer).
`java.lang.String` | `getCREDAT()` Return a java.lang.String representation of the SAP type CREDAT - Created on.
`java.lang.String` | `getCRETIM()` Return a java.lang.String representation of the SAP type CRETIM - Time created.
`java.lang.String` | `getDataString()` Return a string representation of this control record
`java.lang.String` | `getDIRECT()` Return a java.lang.String representation of the SAP type DIRECT - Direction.
`java.lang.String` | `getDOCNUM()` Return a java.lang.String representation of the SAP type DOCNUM - IDoc number.
`java.lang.String` | `getEXPRSS()` Return a java.lang.String representation of the SAP type EXPRSS - Overriding in inbound processing.
`java.lang.String` | `getIDOCTYP()` Return a java.lang.String representation of the SAP type IDOCTYP - Name of basic type.
`java.lang.String` | `getMANDT()` Return a java.lang.String representation of the SAP type MANDT - Client
`java.lang.String` | `getMESCOD()` Return a java.lang.String representation of the SAP type MESCOD - Message code.
`java.lang.String` | `getMESFCT()` Return a java.lang.String representation of the SAP type MESFCT - Message function.
`java.lang.String` | `getMESTYP()` Return a java.lang.String representation of the SAP type MESTYP - Message type.
`java.lang.String` | `getOUTMOD()` Return a java.lang.String representation of the SAP type OUTMOD - Output mode.
`java.lang.String` | `getRCVLAD()` Return a java.lang.String representation of the SAP type RCVLAD - Logical address of recipient.
`java.lang.String` | `getRCVPFC()` Return a java.lang.String representation of the SAP type RCVPFC - Partner function of recipient.
`java.lang.String` | `getRCVPOR()` Return a java.lang.String representation of the SAP type RCVPOR - Receiver port.
`java.lang.String` | `getRCVPRN()` Return a java.lang.String representation of the SAP type RCVPRN - Partner number of recipient.
`java.lang.String` | `getRCVPRT()` Return a java.lang.String representation of the SAP type RCVPRT - Partner type of recipient.
`java.lang.String` | `getRCVSAD()` Return a java.lang.String representation of the SAP type RCVSAD - Recipient address (SADR).
`java.lang.String` | `getREFGRP()` Return a java.lang.String representation of the SAP type REFGRP - Message group (EDI Message Group).
`java.lang.String` | `getREFINT()` Return a java.lang.String representation of the SAP type REFINT - Transmission file (EDI Interchange).
`java.lang.String` | `getREFMES()` Return a java.lang.String representation of the SAP type REFMES - Message (EDI Message).
`java.lang.String` | `getSERIAL()` Return a java.lang.String representation of the SAP type SERIAL - Serialization.
`java.lang.String` | `getSNDLAD()` Return a java.lang.String representation of the SAP type SNDLAD - Logical address of sender.
`java.lang.String` | `getSNDPFC()` Return a java.lang.String representation of the SAP type SNDPFC - Partner Function of Sender.
`java.lang.String` | `getSNDPOR()` Return a java.lang.String representation of the SAP type SNDPOR - Sender port (SAP System, external subsystem).
`java.lang.String` | `getSNDPRN()` Return a java.lang.String representation of the SAP type SNDPRN - Partner number of sender.
`java.lang.String` | `getSNDPRT()` Return a java.lang.String representation of the SAP type SNDPRT - Partner type of sender.
`java.lang.String` | `getSNDSAD()` Return a java.lang.String representation of the SAP type SNDSAD - Sender address (SADR).
`java.lang.String` | `getSTATUS()` Return a java.lang.String representation of the SAP type STATUS - Status of IDoc.
`java.lang.String` | `getSTD()` Return a java.lang.String representation of the SAP type STD - EDI standard, flag.
`java.lang.String` | `getSTDMES()` Return a java.lang.String representation of the SAP type STDMES - EDI message type.
`java.lang.String` | `getSTDVRS()` Return a java.lang.String representation of the SAP type STDVRS - EDI standard, version and release.
`java.lang.String` | `getTABNAM()` Return a java.lang.String representation of the SAP type TABNAM - Name of table structure
`java.lang.String` | `getTEST()` Return a java.lang.String representation of the SAP type TEST - Test flag.
`boolean` | `hasARCKEY()` Tests whether ARCKEY is present or not.
`boolean` | `hasCIMTYP()` Tests whether CIMTYP is present or not.
`boolean` | `hasCREDAT()` Tests whether CREDAT is present or not.
`boolean` | `hasCRETIM()` Tests whether CRETIM is present or not.
`boolean` | `hasDIRECT()` Tests whether DIRECT is present or not.
`boolean` | `hasDOCNUM()` Tests whether DOCNUM is present or not.
`boolean` | `hasDOCREL()` Tests whether DOCREL is present or not.
`boolean` | `hasEXPRSS()` Tests whether EXPRSS is present or not.
`boolean` | `hasIDOCTYP()` Tests whether IDOCTYP is present or not.
`boolean` | `hasMANDT()` Tests whether MANDT is present or not.
`boolean` | `hasMESCOD()` Tests whether MESCOD is present or not.
`boolean` | `hasMESFCT()` Tests whether MESFCT is present or not.
`boolean` | `hasMESTYP()` Tests whether MESTYP is present or not.
`boolean` | `hasOUTMOD()` Tests whether OUTMOD is present or not.
`boolean` | `hasRCVLAD()` Tests whether RCVLAD is present or not.
`boolean` | `hasRCVPFC()` Tests whether RCVPFC is present or not.
`boolean` | `hasRCVPOR()` Tests whether RCVPOR is present or not.
`boolean` | `hasRCVPRN()` Tests whether RCVPRN is present or not.
`boolean` | `hasRCVPRT()` Tests whether RCVPRT is present or not.
`boolean` | `hasRCVSAD()` Tests whether RCVSAD is present or not.
`boolean` | `hasREFGRP()` Tests whether REFGRP is present or not.
`boolean` | `hasREFINT()` Tests whether REFINT is present or not.
`boolean` | `hasREFMES()` Tests whether REFMES is present or not.
`boolean` | `hasSERIAL()` Tests whether SERIAL is present or not.
`boolean` | `hasSNDLAD()` Tests whether SNDLAD is present or not.
`boolean` | `hasSNDPFC()` Tests whether SNDPFC is present or not.
`boolean` | `hasSNDPOR()` Tests whether SNDPOR is present or not.
`boolean` | `hasSNDPRN()` Tests whether SNDPRN is present or not.
`boolean` | `hasSNDPRT()` Tests whether SNDPRT is present or not.
`boolean` | `hasSNDSAD()` Tests whether SNDSAD is present or not.
`boolean` | `hasSTATUS()` Tests whether STATUS is present or not.
`boolean` | `hasSTD()` Tests whether STD is present or not.
`boolean` | `hasSTDMES()` Tests whether STDMES is present or not.
`boolean` | `hasSTDVRS()` Tests whether STDVRS is present or not.
`boolean` | `hasTABNAM()` Tests whether TABNAM is present or not.
`boolean` | `hasTEST()` Tests whether TEST is present or not.
`void` | `marshal(OtdOutputStream out)` Marshals the data content of an ETD into a BLOB.
`OtdMeta` | `meta()` Gets the OtdMeta root
`void` | `reset()` Clears out any data and resources held by this OTD instance.
`void` | `setARCKEY(java.lang.String value)` Set the value of ARCKEY - Key for external message archive
`void` | `setCIMTYP(java.lang.String value)` Set the value of CIMTYP - Extension (defined by customer)
`void` | `setCREDAT(java.lang.String value)` Set the value of CREDAT - Created on
`void` | `setCRETIM(java.lang.String value)` Set the value of CRETIM - Time created
`void` | `setDIRECT(java.lang.String value)` Set the value of DIRECT - Direction
`void` | `setDOCNUM(java.lang.String value)` Set the value of DOCNUM - IDoc number
`void` | `setDOCREL(java.lang.String value)` Set the value of DOCREL - SAP Release for IDoc
`void` | `setEXPRSS(java.lang.String value)` Set the value of EXPRSS - Overriding in inbound processing
`void` | `setIDOCTYP(java.lang.String value)` Set the value of IDOCTYP - Name of basic type
`void` | `setMANDT(java.lang.String value)` Set the value of MANDT - Client
`void` | `setMESCOD(java.lang.String value)` Set the value of MESCOD - Message code
`void` | `setMESFCT(java.lang.String value)` Set the value of MESFCT - Message function
`void` | `setMESTYP(java.lang.String value)` Set the value of MESTYP - Message type
`void` | `setOUTMOD(java.lang.String value)` Set the value of OUTMOD - Output mode
`void` | `setRCVLAD(java.lang.String value)` Set the value of RCVLAD - Logical address of recipient
`void` | `setRCVPFC(java.lang.String value)` Set the value of RCVPFC - Partner function of recipient.
`void` | `setRCVPOR(java.lang.String value)` Set the value of RCVPOR - Receiver port
`void` | `setRCVPRN(java.lang.String value)` Set the value of RCVPRN - Partner number of recipient
`void` | `setRCVPRT(java.lang.String value)` Set the value of RCVPRT - Partner type of recipient
`void` | `setRCVSAD(java.lang.String value)` Set the value of RCVSAD - Recipient address (SADR)
`void` | `setREFGRP(java.lang.String value)` Set the value of REFGRP - Message group (EDI Message Group)
`void` | `setREFINT(java.lang.String value)` Set the value of REFINT - Transmission file (EDI Interchange)
`void` | `setREFMES(java.lang.String value)` Set the value of REFMES - Message (EDI Message)
`void` | `setSERIAL(java.lang.String value)` Set the value of SERIAL - Serialization
`void` | `setSNDLAD(java.lang.String value)` Set the value of SNDLAD - Logical address of sender
`void` | `setSNDPFC(java.lang.String value)` Set the value of SNDPFC - Partner Function of Sender
`void` | `setSNDPOR(java.lang.String value)` Set the value of SNDPOR - Sender port (SAP System, external subsystem)
`void` | `setSNDPRN(java.lang.String value)` Set the value of SNDPRN - Partner number of sender
`void` | `setSNDPRT(java.lang.String value)` Set the value of SNDPRT - Partner type of sender
`void` | `setSNDSAD(java.lang.String value)` Set the value of SNDSAD - Sender address (SADR)
`void` | `setSTATUS(java.lang.String value)` Set the value of STATUS - Status of IDoc
`void` | `setSTD(java.lang.String value)` Set the value of STD - EDI standard, flag
`void` | `setSTDMES(java.lang.String value)` Set the value of STDMES - EDI message type
`void` | `setSTDVRS(java.lang.String value)` Set the value of STDVRS - EDI standard, version and release
`void` | `setTEST(java.lang.String value)` Set the value of TEST - Test flag
`void` | `unmarshal(OtdInputStream in)` Unmarshals a BLOB into the data content of an ETD.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### check

    public java.lang.String[] check()

  Validates the contents of the data tree

  Returns:
    null if okay, else a list of error strings.

### getARCKEY

    public java.lang.String getARCKEY()

  Return a java.lang.String representation of the SAP type ARCKEY - Key for external message archive.

  Returns:
    A java.lang.String representation of ARCKEY.

### getCIMTYP

    public java.lang.String getCIMTYP()

  Return a java.lang.String representation of the SAP type CIMTYP - Extension (defined by customer).

  Returns:
    A java.lang.String representation of CIMTYP.

### getCREDAT

    public java.lang.String getCREDAT()

  Return a java.lang.String representation of the SAP type CREDAT - Created on.

  Returns:
    A java.lang.String representation of CREDAT.

### getCRETIM

    public java.lang.String getCRETIM()

  Return a java.lang.String representation of the SAP type CRETIM - Time created.

  Returns:
    A java.lang.String representation of CRETIM.

### getDataString

    public java.lang.String getDataString()

  Return a string representation of this control record

  Returns:
    String representation of this record

### getDIRECT

    public java.lang.String getDIRECT()

  Return a java.lang.String representation of the SAP type DIRECT - Direction.

  Returns:
    A java.lang.String representation of DIRECT.

### getDOCNUM

    public java.lang.String getDOCNUM()

  Return a java.lang.String representation of the SAP type DOCNUM - IDoc number.

  Returns:
    A java.lang.String representation of DOCNUM.

### getEXPRSS

    public java.lang.String getEXPRSS()

  Return a java.lang.String representation of the SAP type EXPRSS - Overriding in inbound processing.

  Returns:
    A java.lang.String representation of EXPRSS.

### getIDOCTYP

    public java.lang.String getIDOCTYP()

  Return a java.lang.String representation of the SAP type IDOCTYP - Name of basic type.

  Returns:
    A java.lang.String representation of IDOCTYP.

### getMANDT

    public java.lang.String getMANDT()

  Return a java.lang.String representation of the SAP type MANDT - Client

  Returns:
    A java.lang.String representation of MANDT.

### getMESCOD

    public java.lang.String getMESCOD()

  Return a java.lang.String representation of the SAP type MESCOD - Message code.

  Returns:
    A java.lang.String representation of MESCOD.

### getMESFCT

    public java.lang.String getMESFCT()

  Return a java.lang.String representation of the SAP type MESFCT - Message function.

  Returns:
    A java.lang.String representation of MESFCT.

### getMESTYP

    public java.lang.String getMESTYP()

  Return a java.lang.String representation of the SAP type MESTYP - Message type.

  Returns:
    A java.lang.String representation of MESTYP.

### getOUTMOD

    public java.lang.String getOUTMOD()

  Return a java.lang.String representation of the SAP type OUTMOD - Output mode.

  Returns:
    A java.lang.String representation of OUTMOD.

### getRCVLAD

    public java.lang.String getRCVLAD()

  Return a java.lang.String representation of the SAP type RCVLAD - Logical address of recipient.

  Returns:
    A java.lang.String representation of RCVLAD.

### getRCVPFC

    public java.lang.String getRCVPFC()

  Return a java.lang.String representation of the SAP type RCVPFC - Partner function of recipient.

  Returns:
    A java.lang.String representation of RCVPFC.

### getRCVPOR

    public java.lang.String getRCVPOR()

  Return a java.lang.String representation of the SAP type RCVPOR - Receiver port.

  Returns:
    A java.lang.String representation of RCVPOR.

### getRCVPRN

    public java.lang.String getRCVPRN()

  Return a java.lang.String representation of the SAP type RCVPRN - Partner number of recipient.

  Returns:
    A java.lang.String representation of RCVPRN.

### getRCVPRT

    public java.lang.String getRCVPRT()

  Return a java.lang.String representation of the SAP type RCVPRT - Partner type of recipient.

  Returns:
    A java.lang.String representation of RCVPRT.

### getRCVSAD

    public java.lang.String getRCVSAD()

  Return a java.lang.String representation of the SAP type RCVSAD - Recipient address (SADR).

  Returns:
    A java.lang.String representation of RCVSAD.

### getREFGRP

    public java.lang.String getREFGRP()

  Return a java.lang.String representation of the SAP type REFGRP - Message group (EDI Message Group).

  Returns:
    A java.lang.String representation of REFGRP.

### getREFINT

    public java.lang.String getREFINT()

  Return a java.lang.String representation of the SAP type REFINT - Transmission file (EDI Interchange).

  Returns:
    A java.lang.String representation of REFINT.

### getREFMES

    public java.lang.String getREFMES()

  Return a java.lang.String representation of the SAP type REFMES - Message (EDI Message).

  Returns:
    A java.lang.String representation of REFMES.

### getSERIAL

    public java.lang.String getSERIAL()

  Return a java.lang.String representation of the SAP type SERIAL - Serialization.

  Returns:
    A java.lang.String representation of SERIAL.

### getSNDLAD

    public java.lang.String getSNDLAD()

  Return a java.lang.String representation of the SAP type SNDLAD - Logical address of sender.

  Returns:
    A java.lang.String representation of SNDLAD.

### getSNDPFC

    public java.lang.String getSNDPFC()

  Return a java.lang.String representation of the SAP type SNDPFC - Partner Function of Sender.

  Returns:
    A java.lang.String representation of SNDPFC.

### getSNDPOR

    public java.lang.String getSNDPOR()

  Return a java.lang.String representation of the SAP type SNDPOR - Sender port (SAP System, external subsystem).

  Returns:
    A java.lang.String representation of SNDPOR.

### getSNDPRN

    public java.lang.String getSNDPRN()

  Return a java.lang.String representation of the SAP type SNDPRN - Partner number of sender.

  Returns:
    A java.lang.String representation of SNDPRN.

### getSNDPRT

    public java.lang.String getSNDPRT()

  Return a java.lang.String representation of the SAP type SNDPRT - Partner type of sender.

  Returns:
    A java.lang.String representation of SNDPRT.

### getSNDSAD

    public java.lang.String getSNDSAD()

  Return a java.lang.String representation of the SAP type SNDSAD - Sender address (SADR).

  Returns:
    A java.lang.String representation of SNDSAD.

### getSTATUS

    public java.lang.String getSTATUS()

  Return a java.lang.String representation of the SAP type STATUS - Status of IDoc.

  Returns:
    A java.lang.String representation of STATUS.

### getSTD

    public java.lang.String getSTD()

  Return a java.lang.String representation of the SAP type STD - EDI standard, flag.

  Returns:
    A java.lang.String representation of STD.

### getSTDMES

    public java.lang.String getSTDMES()

  Return a java.lang.String representation of the SAP type STDMES - EDI message type.

  Returns:
    A java.lang.String representation of STDMES.

### getSTDVRS

    public java.lang.String getSTDVRS()

  Return a java.lang.String representation of the SAP type STDVRS - EDI standard, version and release.

  Returns:
    A java.lang.String representation of STDVRS.

### getTABNAM

    public java.lang.String getTABNAM()

  Return a java.lang.String representation of the SAP type TABNAM - Name of table structure

  Returns:
    A java.lang.String representation of TABNAM.

### getTEST

    public java.lang.String getTEST()

  Return a java.lang.String representation of the SAP type TEST - Test flag.

  Returns:
    A java.lang.String representation of TEST.

### hasARCKEY

    public boolean hasARCKEY()

  Tests whether ARCKEY is present or not.

  Returns:
    true if ARCKEY exists else false.

### hasCIMTYP

    public boolean hasCIMTYP()

  Tests whether CIMTYP is present or not.

  Returns:
    true if CIMTYP exists else false.

### hasCREDAT

    public boolean hasCREDAT()

  Tests whether CREDAT is present or not.

  Returns:
    true if CREDAT exists else false.

### hasCRETIM

    public boolean hasCRETIM()

  Tests whether CRETIM is present or not.

  Returns:
    true if CRETIM exists else false.

### hasDIRECT

    public boolean hasDIRECT()

  Tests whether DIRECT is present or not.

  Returns:
    true if DIRECT exists else false.

### hasDOCNUM

    public boolean hasDOCNUM()

  Tests whether DOCNUM is present or not.

  Returns:
    true if DOCNUM exists else false.

### hasDOCREL

    public boolean hasDOCREL()

  Tests whether DOCREL is present or not.

  Returns:
    true if DOCREL exists else false.

### hasEXPRSS

    public boolean hasEXPRSS()

  Tests whether EXPRSS is present or not.

  Returns:
    true if EXPRSS exists else false.

### hasIDOCTYP

    public boolean hasIDOCTYP()

  Tests whether IDOCTYP is present or not.

  Returns:
    true if IDOCTYP exists else false.

### hasMANDT

    public boolean hasMANDT()

  Tests whether MANDT is present or not.

  Returns:
    true if MANDT exists else false.

### hasMESCOD

    public boolean hasMESCOD()

  Tests whether MESCOD is present or not.

  Returns:
    true if MESCOD exists else false.

### hasMESFCT

    public boolean hasMESFCT()

  Tests whether MESFCT is present or not.

  Returns:
    true if MESFCT exists else false.

### hasMESTYP

    public boolean hasMESTYP()

  Tests whether MESTYP is present or not.

  Returns:
    true if MESTYP exists else false.

### hasOUTMOD

    public boolean hasOUTMOD()

  Tests whether OUTMOD is present or not.

  Returns:
    true if OUTMOD exists else false.

### hasRCVLAD

    public boolean hasRCVLAD()

  Tests whether RCVLAD is present or not.

  Returns:
    true if RCVLAD exists else false.

### hasRCVPFC

    public boolean hasRCVPFC()

  Tests whether RCVPFC is present or not.

  Returns:
    true if RCVPFC exists else false.

### hasRCVPOR

    public boolean hasRCVPOR()

  Tests whether RCVPOR is present or not.

  Returns:
    true if RCVPOR exists else false.

### hasRCVPRN

    public boolean hasRCVPRN()

  Tests whether RCVPRN is present or not.

  Returns:
    true if RCVPRN exists else false.

### hasRCVPRT

    public boolean hasRCVPRT()

  Tests whether RCVPRT is present or not.

  Returns:
    true if RCVPRT exists else false.

### hasRCVSAD

    public boolean hasRCVSAD()

  Tests whether RCVSAD is present or not.

  Returns:
    true if RCVSAD exists else false.

### hasREFGRP

    public boolean hasREFGRP()

  Tests whether REFGRP is present or not.

  Returns:
    true if REFGRP exists else false.

### hasREFINT

    public boolean hasREFINT()

  Tests whether REFINT is present or not.

  Returns:
    true if REFINT exists else false.

### hasREFMES

    public boolean hasREFMES()

  Tests whether REFMES is present or not.

  Returns:
    true if REFMES exists else false.

### hasSERIAL

    public boolean hasSERIAL()

  Tests whether SERIAL is present or not.

  Returns:
    true if SERIAL exists else false.

### hasSNDLAD

    public boolean hasSNDLAD()

  Tests whether SNDLAD is present or not.

  Returns:
    true if SNDLAD exists else false.

### hasSNDPFC

    public boolean hasSNDPFC()

  Tests whether SNDPFC is present or not.

  Returns:
    true if SNDPFC exists else false.

### hasSNDPOR

    public boolean hasSNDPOR()

  Tests whether SNDPOR is present or not.

  Returns:
    true if SNDPOR exists else false.

### hasSNDPRN

    public boolean hasSNDPRN()

  Tests whether SNDPRN is present or not.

  Returns:
    true if SNDPRN exists else false.

### hasSNDPRT

    public boolean hasSNDPRT()

  Tests whether SNDPRT is present or not.

  Returns:
    true if SNDPRT exists else false.

### hasSNDSAD

    public boolean hasSNDSAD()

  Tests whether SNDSAD is present or not.

  Returns:
    true if SNDSAD exists else false.

### hasSTATUS

    public boolean hasSTATUS()

  Tests whether STATUS is present or not.

  Returns:
    true if STATUS exists else false.

### hasSTD

    public boolean hasSTD()

  Tests whether STD is present or not.

  Returns:
    true if STD exists else false.

### hasSTDMES

    public boolean hasSTDMES()

  Tests whether STDMES is present or not.

  Returns:
    true if STDMES exists else false.

### hasSTDVRS

    public boolean hasSTDVRS()

  Tests whether STDVRS is present or not.

  Returns:
    true if STDVRS exists else false.

### hasTABNAM

    public boolean hasTABNAM()

  Tests whether TABNAM is present or not.

  Returns:
    true if TABNAM exists else false.

### hasTEST

    public boolean hasTEST()

  Tests whether TEST is present or not.

  Returns:
    true if TEST exists else false.

### marshal

    public void marshal(OtdOutputStream out)
                 throws MarshalException

  Marshals the data content of an ETD into a BLOB.

  Parameters:
    `out` - DOCUMENT ME!
  Throws:
    `MarshalException` - Thrown when unable to marshal ETD.

### meta

    public OtdMeta meta()

  Gets the OtdMeta root

  Returns:
    Run-time tree of data nodes

### reset

    public void reset()

  Clears out any data and resources held by this OTD instance.

### setARCKEY

    public void setARCKEY(java.lang.String value)

  Set the value of ARCKEY - Key for external message archive

  Parameters:
    `value` - The java.lang.String value for ARCKEY.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setCIMTYP

    public void setCIMTYP(java.lang.String value)

  Set the value of CIMTYP - Extension (defined by customer)

  Parameters:
    `value` - The java.lang.String value for CIMTYP.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setCREDAT

    public void setCREDAT(java.lang.String value)

  Set the value of CREDAT - Created on

  Parameters:
    `value` - The java.lang.String value for CREDAT.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setCRETIM

    public void setCRETIM(java.lang.String value)

  Set the value of CRETIM - Time created

  Parameters:
    `value` - The java.lang.String value for CRETIM.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDIRECT

    public void setDIRECT(java.lang.String value)

  Set the value of DIRECT - Direction

  Parameters:
    `value` - The java.lang.String value for DIRECT.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDOCNUM

    public void setDOCNUM(java.lang.String value)

  Set the value of DOCNUM - IDoc number

  Parameters:
    `value` - The java.lang.String value for DOCNUM.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDOCREL

    public void setDOCREL(java.lang.String value)

  Set the value of DOCREL - SAP Release for IDoc

  Parameters:
    `value` - The java.lang.String value for DOCREL.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setEXPRSS

    public void setEXPRSS(java.lang.String value)

  Set the value of EXPRSS - Overriding in inbound processing

  Parameters:
    `value` - The java.lang.String value for EXPRSS.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setIDOCTYP

    public void setIDOCTYP(java.lang.String value)

  Set the value of IDOCTYP - Name of basic type

  Parameters:
    `value` - The java.lang.String value for IDOCTYP.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMANDT

    public void setMANDT(java.lang.String value)

  Set the value of MANDT - Client

  Parameters:
    `value` - The java.lang.String value for MANDT
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMESCOD

    public void setMESCOD(java.lang.String value)

  Set the value of MESCOD - Message code

  Parameters:
    `value` - The java.lang.String value for MESCOD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMESFCT

    public void setMESFCT(java.lang.String value)

  Set the value of MESFCT - Message function

  Parameters:
    `value` - The java.lang.String value for MESFCT.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMESTYP

    public void setMESTYP(java.lang.String value)

  Set the value of MESTYP - Message type

  Parameters:
    `value` - The java.lang.String value for MESTYP.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setOUTMOD

    public void setOUTMOD(java.lang.String value)

  Set the value of OUTMOD - Output mode

  Parameters:
    `value` - The java.lang.String value for OUTMOD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVLAD

    public void setRCVLAD(java.lang.String value)

  Set the value of RCVLAD - Logical address of recipient

  Parameters:
    `value` - The java.lang.String value for RCVLAD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVPFC

    public void setRCVPFC(java.lang.String value)

  Set the value of RCVPFC - Partner function of recipient.

  Parameters:
    `value` - The java.lang.String value for RCVPFC
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVPOR

    public void setRCVPOR(java.lang.String value)

  Set the value of RCVPOR - Receiver port

  Parameters:
    `value` - The java.lang.String value for RCVPOR.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVPRN

    public void setRCVPRN(java.lang.String value)

  Set the value of RCVPRN - Partner number of recipient

  Parameters:
    `value` - The java.lang.String value for RCVPRN.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVPRT

    public void setRCVPRT(java.lang.String value)

  Set the value of RCVPRT - Partner type of recipient

  Parameters:
    `value` - The java.lang.String value for RCVPRT.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setRCVSAD

    public void setRCVSAD(java.lang.String value)

  Set the value of RCVSAD - Recipient address (SADR)

  Parameters:
    `value` - The java.lang.String value for RCVSAD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument

### setREFGRP

    public void setREFGRP(java.lang.String value)

  Set the value of REFGRP - Message group (EDI Message Group)

  Parameters:
    `value` - The java.lang.String value for REFGRP.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setREFINT

    public void setREFINT(java.lang.String value)

  Set the value of REFINT - Transmission file (EDI Interchange)

  Parameters:
    `value` - The java.lang.String value for REFINT
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setREFMES

    public void setREFMES(java.lang.String value)

  Set the value of REFMES - Message (EDI Message)

  Parameters:
    `value` - The java.lang.String value for REFMES.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSERIAL

    public void setSERIAL(java.lang.String value)

  Set the value of SERIAL - Serialization

  Parameters:
    `value` - The java.lang.String value for SERIAL.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDLAD

    public void setSNDLAD(java.lang.String value)

  Set the value of SNDLAD - Logical address of sender

  Parameters:
    `value` - The java.lang.String value for SNDLAD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDPFC

    public void setSNDPFC(java.lang.String value)

  Set the value of SNDPFC - Partner Function of Sender

  Parameters:
    `value` - The java.lang.String value for SNDPFC.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDPOR

    public void setSNDPOR(java.lang.String value)

  Set the value of SNDPOR - Sender port (SAP System, external subsystem)

  Parameters:
    `value` - The java.lang.String value for SNDPOR.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDPRN

    public void setSNDPRN(java.lang.String value)

  Set the value of SNDPRN - Partner number of sender

  Parameters:
    `value` - The java.lang.String value for SNDPRN
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDPRT

    public void setSNDPRT(java.lang.String value)

  Set the value of SNDPRT - Partner type of sender

  Parameters:
    `value` - The java.lang.String value for SNDPRT.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSNDSAD

    public void setSNDSAD(java.lang.String value)

  Set the value of SNDSAD - Sender address (SADR)

  Parameters:
    `value` - The java.lang.String value for SNDSAD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSTATUS

    public void setSTATUS(java.lang.String value)

  Set the value of STATUS - Status of IDoc

  Parameters:
    `value` - The java.lang.String value for STATUS.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSTD

    public void setSTD(java.lang.String value)

  Set the value of STD - EDI standard, flag

  Parameters:
    `value` - The java.lang.String value for STD.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSTDMES

    public void setSTDMES(java.lang.String value)

  Set the value of STDMES - EDI message type

  Parameters:
    `value` - The java.lang.String value for STDMES.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setSTDVRS

    public void setSTDVRS(java.lang.String value)

  Set the value of STDVRS - EDI standard, version and release

  Parameters:
    `value` - The java.lang.String value for STDVRS.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setTEST

    public void setTEST(java.lang.String value)

  Set the value of TEST - Test flag

  Parameters:
    `value` - The java.lang.String value for TEST.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### unmarshal

    public void unmarshal(OtdInputStream in)
                   throws UnmarshalException

  Unmarshals a BLOB into the data content of an ETD.

  Parameters:
    `in` - Byte array of the BLOB to be unmarshalled.
  Throws:
    `UnmarshalException` - Thrown when unable to unmarshal BLOB into ETD.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.